import { HttpClient } from '@angular/common/http';
import { BaseApiTemplateService, BasicApiResponseModel, ApiVisa } from '../../shared';
import { IntercompanyContainerModel } from '../../../../../../models/aggregates/intercompany';
import { Observable } from "rxjs";
export declare class IntercompanyBranchService extends BaseApiTemplateService<IntercompanyContainerModel> {
    constructor(http: HttpClient);
    createIntercompanyBranch(payload: any, visa: ApiVisa): Observable<BasicApiResponseModel<any>>;
    getByEntity(payload: any, visa: ApiVisa): Observable<BasicApiResponseModel<any>>;
    getByBranch(payload: any, visa: ApiVisa): Observable<BasicApiResponseModel<any>>;
}
